Next: GDB/MI File Commands, Previous: GDB/MI Tracepoint Commands, Up: GDB/MI [Contents][Index]

### 27.18 GDB/MI Symbol Query Commands

#### The `-symbol-list-lines` Command

#### Synopsis

     -symbol-list-lines filename

Print the list of lines that contain code and their associated program addresses for the given source filename. The entries are sorted in ascending PC order.

#### GDB Command

There is no corresponding GDB command.

#### Example

    (gdb)
    -symbol-list-lines basics.c
    ^done,lines=[{pc="0x08048554",line="7"},{pc="0x0804855a",line="8"}]
    (gdb)